"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reduxActions = require("redux-actions");

var _initialState = _interopRequireDefault(require("../store/initialState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TopFeedReducer = (0, _reduxActions.handleActions)({
  GET_FEED: {
    REQUEST: state => ({ ...state,
      isFetching: true,
      error: null
    }),
    FAILURE: (state, _ref) => {
      let {
        payload
      } = _ref;
      return { ...state,
        isFetching: false,
        error: payload
      };
    },
    SUCCESS: (state, _ref2) => {
      let {
        payload
      } = _ref2;
      return { ...state,
        fullData: payload.fullData,
        isFetching: false,
        error: null
      };
    }
  },
  GET_TOP_FEED: {
    REQUEST: state => ({ ...state,
      isFetching: true,
      error: null
    }),
    FAILURE: (state, _ref3) => {
      let {
        payload
      } = _ref3;
      return { ...state,
        isFetching: false,
        error: payload
      };
    },
    SUCCESS: (state, _ref4) => {
      let {
        payload
      } = _ref4;
      return { ...state,
        data: payload.data,
        isFetching: false,
        error: null
      };
    },
    RESET: state => ({ ...state,
      data: [],
      fullData: [],
      isFetching: false,
      error: null
    })
  }
}, _initialState.default.topFeed);
var _default = TopFeedReducer;
exports.default = _default;
//# sourceMappingURL=TopFeedReducer.js.map