"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.coloredSource = coloredSource;
exports.parseSpecialCharacters = exports.getRecords = void 0;

const parseSpecialCharacters = str => str.replace(/[&\/\\#,+()$~%.'":*?<>{}]/g, '');

exports.parseSpecialCharacters = parseSpecialCharacters;

const getRecords = (page, data) => {
  if (data.length > 0) {
    let start = 0;

    if (page > 0) {
      start = page * 10;
    }

    let end = start + 10;
    return data.slice(start, end);
  }

  return [];
};

exports.getRecords = getRecords;

function coloredSource(source, color) {
  const r = /^#?(..)(..)(..)(..)?$/.exec(color);
  const arrColor = [r[1], r[2], r[3], r[4] || 'FF'].map(c => parseInt(c, 16) / 255);
  return JSON.parse(JSON.stringify(source).replace(/"k":\[1,1,1,1\]/g, `"k":[${arrColor}]`));
}
//# sourceMappingURL=utilities.js.map