import { handleActions } from 'redux-actions';
import initialState from '../store/initialState';
const TopFeedReducer = handleActions({
  GET_FEED: {
    REQUEST: state => ({ ...state,
      isFetching: true,
      error: null
    }),
    FAILURE: (state, _ref) => {
      let {
        payload
      } = _ref;
      return { ...state,
        isFetching: false,
        error: payload
      };
    },
    SUCCESS: (state, _ref2) => {
      let {
        payload
      } = _ref2;
      return { ...state,
        fullData: payload.fullData,
        isFetching: false,
        error: null
      };
    }
  },
  GET_TOP_FEED: {
    REQUEST: state => ({ ...state,
      isFetching: true,
      error: null
    }),
    FAILURE: (state, _ref3) => {
      let {
        payload
      } = _ref3;
      return { ...state,
        isFetching: false,
        error: payload
      };
    },
    SUCCESS: (state, _ref4) => {
      let {
        payload
      } = _ref4;
      return { ...state,
        data: payload.data,
        isFetching: false,
        error: null
      };
    },
    RESET: state => ({ ...state,
      data: [],
      fullData: [],
      isFetching: false,
      error: null
    })
  }
}, initialState.topFeed);
export default TopFeedReducer;
//# sourceMappingURL=TopFeedReducer.js.map